weka.core.pmml.jaxbbindings

## Class KohonenMap

- java.lang.Object
- - weka.core.pmml.jaxbbindings.KohonenMap

-     public class KohonenMap
      extends java.lang.Object

  Java class for KohonenMap element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="KohonenMap">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="coord1" type="{http://www.w3.org/2001/XMLSchema}float" />
               <attribute name="coord2" type="{http://www.w3.org/2001/XMLSchema}float" />
               <attribute name="coord3" type="{http://www.w3.org/2001/XMLSchema}float" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KohonenMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Float` | `getCoord1()` Gets the value of the coord1 property.
    `java.lang.Float` | `getCoord2()` Gets the value of the coord2 property.
    `java.lang.Float` | `getCoord3()` Gets the value of the coord3 property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `void` | `setCoord1(java.lang.Float value)` Sets the value of the coord1 property.
    `void` | `setCoord2(java.lang.Float value)` Sets the value of the coord2 property.
    `void` | `setCoord3(java.lang.Float value)` Sets the value of the coord3 property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KohonenMap

          public KohonenMap()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getCoord1

          public java.lang.Float getCoord1()

      Gets the value of the coord1 property.
      Returns:
        possible object is `Float`

    - #### setCoord1

          public void setCoord1(java.lang.Float value)

      Sets the value of the coord1 property.
      Parameters:
        `value` - allowed object is `Float`

    - #### getCoord2

          public java.lang.Float getCoord2()

      Gets the value of the coord2 property.
      Returns:
        possible object is `Float`

    - #### setCoord2

          public void setCoord2(java.lang.Float value)

      Sets the value of the coord2 property.
      Parameters:
        `value` - allowed object is `Float`

    - #### getCoord3

          public java.lang.Float getCoord3()

      Gets the value of the coord3 property.
      Returns:
        possible object is `Float`

    - #### setCoord3

          public void setCoord3(java.lang.Float value)

      Sets the value of the coord3 property.
      Parameters:
        `value` - allowed object is `Float`